# Configuration:  klaatu.local.org:80
#                 HTTPd-WASD/9.1.1 OpenVMS/AXP SSL
# Last Modified:  Thursday,  1-JUN-2007 19:15:25
#                 SYSTEM.'KLAATU'@gort.private.net

# -SERVICE-

[Service]

[ServiceNotFoundURL]  

# -GENERAL-

[InstanceMax]  0
[ConnectMax]  500
[ProcessMax]  100
[ServiceListenBacklog]  5
[RequestHistory]  100
[ActivityDays]  28
[CharsetDefault]  ISO-8859-1
[CharsetConvert]

[DNSLookup]  disabled
[Monitor]  enabled
[EntityTag]  enabled
[PipelineRequests]  enabled
[HttpTrace]  disabled
[RegEx]  disabled
[Port]  80
[StreamLF]  0
[SearchScript]  /cgi-bin/query
[SearchScriptExclude]

[PutMaxKbytes]  250
[PutVersionLimit]  3
[MapUserNameCacheEntries]  32
[PersonaCacheEntries]  32

# -LOGGING-

[Logging]  disabled
[LogFormat]  combined
[LogNaming]  
[LogPeriod]  
[LogPerInstance]  disabled
[LogPerService]  disabled
[LogPerServiceHostOnly]  disabled
[LogFile]  HT_LOGS:
[LogFileExtend]  0
[LogExcludeHosts]

[Track]  disabled
[TrackMultiSession]  disabled
[TrackDomain]  

# -OPCOM-

[OpcomTarget]  OPER12
[OpcomAdmin]  disabled
[OpcomAuthorization]  disabled
[OpcomControl]  disabled
[OpcomHTTPd]  disabled
[OpcomProxyMaint]  disabled

# -CACHE-

[Cache]  enabled
[CacheEntriesMax]  1024
[CacheTotalKBytesMax]  4096
[CacheFileKBytesMax]  64
[CacheGuardPeriod]  00:00:15
[CacheValidatePeriod]  00:01:00
[CacheFrequentHits]  3
[CacheFrequentPeriod]  00:02:00

# -TIMEOUTS-

[TimeoutInput]  00:02:00
[TimeoutOutput]  00:30:00
[TimeoutNoProgress]  00:02:00
[TimeoutPersistent]  00:00:30

# -BUFFER SIZES-

[BufferSizeDclCommand]  6142
[BufferSizeDclOutput]  4096
[BufferSizeDclCgiPlusIn]  6142
[BufferSizeDclCgiHeader]  0
[BufferSizeNetRead]  2048
[BufferSizeNetWrite]  4096

# -INDEX PAGES-

[Welcome]
HOME.HTML
INDEX.HTML
HOME.SHTML
INDEX.SHTML

# -HOST ACCESS-

[Accept]

[Reject]

# -REPORTS-

[ServerAdmin]  
[ServerSignature]  enabled
[ServerReportBodyTag]  <BODY LINK="#0000cc" VLINK="#0000cc">
[ServerAdminBodyTag]  <BODY LINK="#0000cc" VLINK="#0000cc">
[ReportBasicOnly]  enabled
[ReportMetaInfo]  disabled
[ErrorReportPath]  
[ErrorRecommend]  enabled

# -AUTHORIZATION-

[AuthCacheEntriesMax]  0
[AuthCacheEntrySize]  0
[AuthCacheMinutes]  10
[AuthRevalidateUserMinutes]  0
[AuthRevalidateLoginCookie]  disabled
[AuthFailureLimit]  10
[AuthFailurePeriod]  00:00:00
[AuthFailureTimeout]  00:00:00
[AuthBasic]  enabled
[AuthDigest]  disabled
[AuthDigestGetLife]  0
[AuthDigestPutLife]  0
[AuthSysUafAcceptExpPwd]  enabled
[AuthSysUafPwdExpURL]  

# -PROXY SERVING-

[ProxyServing]  disabled
[ProxyCache]  disabled
[ProxyUnknownRequestFields]  disabled
[ProxyForwarded]  disabled
[ProxyXForwardedFor]  disabled
[ProxyReportLog]  enabled
[ProxyReportCacheLog]  disabled
[ProxyVerifyRecordMax]  0
[ProxyHostLookupRetryCount]  4
[ProxyCacheFileKBytesMax]  0
[ProxyCacheNoReloadSeconds]  30
[ProxyCacheReloadList]  1,2,4,8,12,24,48,96,168
[ProxyCacheRoutineHourOfDay]  0
[ProxyCachePurgeList]  672,336,168,48,24,8,0
[ProxyCacheDeviceDirOrg]  64x64
[ProxyCacheDeviceCheckMinutes]  15
[ProxyCacheDeviceMaxPercent]  85
[ProxyCacheDevicePurgePercent]  1

# -SCRIPTING-

[Scripting]  enabled
[DclDetachProcess]  enabled
[DclDetachProcessPriority]  
[CgiStrictOutput]  enabled
[DclSpawnAuthPriv]  disabled
[DclGatewayBg]  disabled
[DclSoftLimit]  15
[DclHardLimit]  20
[DclBitBucketTimeout]  00:00:15
[DclZombieLifeTime]  00:10:00
[DclCgiPlusLifeTime]  00:10:00
[DECnetReuseLifeTime]  00:10:00
[DECnetConnectListMax]  0
[DclCleanupScratchMinutesMax]  10
[DclCleanupScratchMinutesOld]  10
[DclScriptRunTime]
.PL PERL
.DLL $CGI-BIN:[000000]CGISAPI.EXE
.CLASS @CGI-BIN:[000000]JAVA.COM

# -SSI-

[SSI]  enabled
[SSIexec]  enabled
[SSIaccesses]  enabled
[SSISizeMax]  0

# -DIRECTORY-

[DirAccess]  enabled
[DirLayout]  I__L__R__S:b__D
[DirBodyTag]  <BODY>
[DirDescriptionLines]  30
[DirMetaInfo]  disabled
[DirOwner]  disabled
[DirPreExpired]  disabled
[DirWildcard]  disabled
[DirNoImpliedWildcard]  enabled
[DirNoPrivIgnore]  enabled
[DirReadme]  top
[DirReadmeFile]
README.HTML
README.HTM
README.TXT
README.

# -ICONS-

[AddIcon]
/httpd/-/text.gif  [TXT]  text/plain
/httpd/-/text.gif  [CSS]  text/css
/httpd/-/text.gif  [CSS]  text/JavaScript
/httpd/-/doc.gif  [HTM]  text/html
/httpd/-/doc.gif  [HTM]  text/x-menu
/httpd/-/image.gif  [IMG]  image/gif
/httpd/-/image.gif  [IMG]  image/x-xbitmap
/httpd/-/image.gif  [IMG]  image/jpeg
/httpd/-/image.gif  [IMG]  image/png
/httpd/-/movie.gif  [MOV]  image/mpeg
/httpd/-/sound.gif  [AUD]  application/audio
/httpd/-/x-script.gif  [htm]  application/x-script
/httpd/-/text.gif  [txt]  text/x-ismap
/httpd/-/x-shtml.gif  [htm]  text/x-shtml
/httpd/-/binary.gif  [BIN]  application/octet-stream
/httpd/-/binary.gif  [BIN]  application/x-vms512
/httpd/-/binary.gif  [BIN]  application/x-compressed
/httpd/-/postscript.gif  [PS_]  application/postscript
/httpd/-/gzip.gif  [ZIP]  application/x-gzip
/httpd/-/compressed.gif  [ZIP]  application/x-compress
/httpd/-/uu.gif  [UUE]  application/x-uuencoded
/httpd/-/wp.gif  [WPC]  application/x-wp
/httpd/-/pdf.gif  [PDF]  application/pdf
/httpd/-/binary.gif  [BIN]  application/x-ns-proxy-autoconfig
/httpd/-/binary.gif  [BIN]  application/x-x509-ca-cert

[AddBlankIcon]  /httpd/-/blank.gif  _____
[AddDefaultIcon]  /httpd/-/file.gif  [FIL]
[AddDirIcon]  /httpd/-/directory.gif  [DIR]
[AddParentIcon]  /httpd/-/back.gif  [<--]
[AddUnknownIcon]  /httpd/-/unknown.gif  [???]

# -CONTENT TYPES-

[AddType]
.HTML  text/html  HyperText Markup Language
.HTM  text/html  HyperText Markup Language
.MENU  text/x-menu  hypertext menu
.MNU  text/x-menu  hypertext menu
.TXT  "text/plain; charset=ISO-8859-1"  plain text
.GIF  image/gif  GIF image
.XBM  image/x-xbitmap  X-bitmap
.DIR  x-internal/directory  binary
.SHTML  text/x-shtml  HyperText Markup Language (pre-processed)
.SHT  text/x-shtml  HyperText Markup Language (pre-processed)
.ISMAP  text/x-ismap  Clickable-image mapping
.ISM  text/x-ismap  Clickable-image mapping
.  text/plain  plain text
.ACF  text/plain  DCE Attribute Configuration File
.ADA  text/plain  Ada source
.ANNOUNCE  text/plain  plain text
.ASC  text/plain  plain text
.ASCII  text/plain  plain text
.B32  text/plain  BLISS-32 source
.BAS  text/plain  BASIC source
.BCK  application/octet-stream  backup saveset
.BKB  application/x-script  /HyperReader  Bookreader book
.BKS  application/x-script  /HyperShelf  Bookreader shelf
.C  text/plain  C source
.CLD  text/plain  VMS Command Line Definition
.CFG  text/plain  configuration file
.CGI  text/plain  Perl source
.CLASS  application/octet-stream  Java class
.CMS  text/plain  Code Management System rules
.COB  text/plain  COBOL source
.COM  text/plain  DCL procedure
.CONF  text/plain  configuration file
.CNF  text/plain  configuration
.CPP  text/plain  C++ source
.CRT  application/x-x509-ca-cert  DER certifcate (MSIE)
.CSS  text/css  W3C Cascading Style Sheet
.DBF  application/x-script  /dbiv  dBASEIV database
.DBT  application/octet-stream  dBASEIV database memos
.DCL  text/plain  DCL procedure
.DIS  text/plain  distribution list
.DLL  application/octet-stream  ISAPI extension DLL
.DOC  application/octet-stream  DECwrite document
.DECW$BOOK  application/x-script  /HyperReader  Bookreader book
.DECW$BOOKSHELF  application/x-script  /HyperShelf  Bookreader shelf
.DVI  application/octet-stream  TeX Device Independent
.EPS  text/plain  Encapsulated PostScript
.EXE  application/octet-stream  executable
.FDL  text/plain  VMS File Definition Language
.FIRST  text/plain  plain text
.1ST  text/plain  plain text
.FOR  text/plain  Fortran source
.H  text/plain  C header
.HLP  text/plain  VMS help source
.HDR  text/plain  LSE template
.HLB  application/x-script  /Conan  VMS help library
.HTC  application/x-script  /pcache  WASD proxy cache
.HTMLX  text/x-shtml  OSU SSI HTML
.ICO  application/octet-stream  MSWin icon
.IMAGEMAP  application/x-script  /htbin/mapimage  OSU Image map
.IDL  text/plain  DCE Interface Definition Language
.IMG  application/octet-stream  DDIF image
.JAVA  text/plain  Java source
.JAR  application/octet-stream  Java JAR
.JPG  image/jpeg  JPEG image
.JPEG  image/jpeg  JPEG image
.JS  text/JavaScript  JavaScript source
.LIS  text/plain  plain text listing
.LIST  text/plain  plain text listing
.LOG  text/plain  plain text log
.MAR  text/plain  MACRO-32 source
.MAN  text/plain  U**x man page
.MLB  application/octet-stream  VMS MACRO library
.MMS  text/plain  Module Management System rules
.MPG  image/mpeg  MPEG movie
.MPEG  image/mpeg  MPEG movie
.MSG  text/plain  VMS message source
.OBJ  application/octet-stream  VMS object module
.ODL  application/x-script  /HyperShelf  BNU shelf
.OLB  application/octet-stream  VMS object library
.OPT  text/plain  VMS linker options
.PAC  application/x-ns-proxy-autoconfig  proxy autoconfig
.PAS  text/plain  Pascal source
.PDF  application/pdf  Adobe Portable Document Format 
.PEM  application/x-x509-ca-cert  Privacy Enhanced Mail certificate
.PNG  image/png  Portable Network Graphic
.POD  text/plain  Perl documentation
.PL  text/plain  Perl source
.PERL  text/plain  Perl source
.PHP  text/plain  PHP source
.PHTML  text/plain  PHP source
.PHPS  text/plain  PHP source
.PM  text/plain  Perl package
.PRO  text/plain  IDL source
.PROPERTIES  text/plain  Java properties
.PS  application/postscript  PostScript
.PY  text/plain  Python source
.READ*  text/plain  plain text
.RELEASE_NOTES  text/plain  VMS software release notes
.SAV  application/octet-stream  backup saveset
.SDML  text/plain  Standard Digital Markup Language - VAX Document source
.STY  text/plain  TeX Style
.TEX  text/plain  TeX source
.TEXT  text/plain  plain text
.TPU  text/plain  Text Processing Utility source - VMS TPU
.TLB  application/x-script  /Conan  VMS text library
.UIL  text/plain  User Interface Language - X Window System
.UID  application/octet-stream  User Interface Definition - X Window System
.UU  application/x-uuencoded  UU-encoded
.UUE  application/x-uuencoded  UU-encoded
.VMS  text/plain  plain text
.WBMP  image/vnd.wap.wbmp  WAP bitmap
.WML  text/vnd.wap.wml  WAP ML
.WMLS  text/vnd.wap.wmlscript  WAP MLScript
.WP  application/x-script  /hwp  WordPerfect document
.WPD  application/x-script  /hwp  WordPerfect document
.WP5  application/x-script  /hwp  WordPerfect document
.WWW_*  text/plain  directory access control file
.XHTML  application/xhtml+xml  XHTML+XML document
.ZIP  application/x-gzip  ZIP-compressed
.Z  application/x-compressed  compressed
.HTL  text/plain  plain text
*  x-internal/unknown  

[AddMimeTypesFile]  

# End!
